Subject: RE: Space in PATH replaced with :?!
From: Glen Coakley <[email-masked]>
To: "'Johan Niklasson'" <[email-masked]>
Cc: [email-masked]
Date: Fri, 30 Mar 2001 08:58:28 -0600

This may result from an interaction with the shell IFS separator. Before
running tr, try "setenv IFS '#'" and see what happens. 

Don't forget to reset it to a space when you are done. :-)

________________________________
Glen Coakley, Sr. Software Engineer
MQSoftware Inc., (763) 543-4845
Have you ever wonder what happens when you run "rm -rf / " but been afraid
to try it?

> -----Original Message-----
> From: Johan Niklasson [mailto:[email-masked]]
> Sent: Thursday, March 29, 2001 1:30 AM
> To: friedman_hill ernest j
> Cc: [email-masked]
> Subject: Re: Space in PATH replaced with :?!
> 
> 
> Hi!
> 
> Thanx for the tip. For a while I had hope. Unfortunately when 
> I use the
> command in a .csh-file
> cygpath, like tr and sed, also replaces space with a :.
> I write like this:
> set path = `cygpath -p -u "${PATH}"`
> and out comes the distorted PATH as described before. I really think
> this is a problem with my settings.
> However if noone knows the solution at least cygpath helps me find the
> correct short names for my path
> 
> Best regards
> Johan
> 
> friedman_hill ernest j wrote:
> > 
> > Use the "cygpath" path translation utility that comes with
> > cygwin. It's quite smart and can properly translate paths in both
> > directions, including nasty stuff like drive letters, UNC 
> names, etc.
> > 
> > I think Johan Niklasson wrote:
> > > Hi!
> > >
> > > On NT4 sp 4, cygwin 1.1.8
> > > I have a problem with my path getting distorted by tr and sed.
> > > I do not want to change my path to the old DOS-form~2
> > >
> > > I wonder if there is some setting I have wrong, or do I 
> simply have to
> > > live with this problem, as suggested by the FAQ?
> > >
> > > My path shall look like this:
> > >
> > > 
> /bin:cygwin/usr/include:.:/usr/bin:/usr/lib:/Winnt/System32/:/Program
> > > Files/ESOE/Microsoft Visual Studio/Common/MSDev98/Bin:/Program
> > > Files/ESOE/Microsoft Visual Studio/VC60/bin.....
> > >
> > > But after issuing this command in a tcsh
> > > set path = `echo $PATH | tr : '\n' | grep -v "LM_"`
> > >
> > > it looks like:
> > >
> > > 
> /bin:cygwin/usr/include:.:/usr/bin:/usr/lib:/Winnt/System32/:/
> Program:Files/ESOE/Microsoft:Visual:Studio/Common/MSDev98/Bin:
> /Program:Files/ESOE/Microsoft:Visual:Studio/VC60/bin.....
> > >
> > > which gives me problems to use VS compiler.
> > >
> > > Some of the setting I have is:
> > > CYGWIN=tty ntea ntsec
> > > TERM=ansi
> > > TERMCAP=C:\etc\termcap
> > >
> > > If anyone has a solution this problem I'd be most grateful.
> > >
> > > Best regards
> > > Johan Niklasson
> > > --
> > >
> > > --
> > > Want to unsubscribe from this list?
> > > Check out: http://cygwin.com/ml/#unsubscribe-simple
> > >
> >
> 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple